# {%= name %} {%= badge('fury') %}

> {%= description %}

## Install
{%= include("install-npm", {save: true}) %}


## Tests

Run the tests:

```bash
npm test
```

[See the tests](./test/test.js) for examples.

## Usage

```js
var replaceNth = require('replace-nth');
replaceNth( params );
```

Params:

* `num` (string): a number formatted as a string.
* `pattern` (regex|string):  The actual pattern to find and replace nth times
* `replacement` (string): the replacement to use
* `str` (string): the string to search for replacements

Example:

```js
var params = {
  // pass any string
  str: 'aaaaaaaaaaaaaaa'
  // The nth number of match(es) to replace
  num: '[135]',
  // The pattern to replace
  pattern: /a/g,
  // the replacement to use
  replacement: 'B',
};
console.log(replaceNth(params));
//=> 'BaBaBaaaaaaaaaa'
```

## num

* `'12'` returns twelvth match,
* `'[124]'` returns the first, second and fourth matchs, and so on.

## Author
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}